## NMDeviceOlpcMesh NMDeviceOlpcMesh |

## Functions

const char * | nm_device_olpc_mesh_get_hw_address ()
NMDeviceWifi * | nm_device_olpc_mesh_get_companion ()
guint32 | nm_device_olpc_mesh_get_active_channel ()

## Types and Values

#define | NM_DEVICE_OLPC_MESH_HW_ADDRESS
#define | NM_DEVICE_OLPC_MESH_COMPANION
#define | NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL

## Description

## Functions

### nm_device_olpc_mesh_get_hw_address ()

    const char *
    nm_device_olpc_mesh_get_hw_address (NMDeviceOlpcMesh *device);

`nm_device_olpc_mesh_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware (MAC) address of the NMDeviceOlpcMesh

[skip]

#### Parameters

device | a NMDeviceOlpcMesh |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_olpc_mesh_get_companion ()

    NMDeviceWifi *
    nm_device_olpc_mesh_get_companion (NMDeviceOlpcMesh *device);

Gets the companion device of the NMDeviceOlpcMesh.

#### Parameters

device | a NMDeviceOlpcMesh |

#### Returns

the companion of the device of `NULL`.

[transfer none]

### nm_device_olpc_mesh_get_active_channel ()

    guint32
    nm_device_olpc_mesh_get_active_channel
                                   (NMDeviceOlpcMesh *device);

Returns the active channel of the NMDeviceOlpcMesh device.

#### Parameters

device | a NMDeviceOlpcMesh |

#### Returns

active channel of the device

## Types and Values

### NM_DEVICE_OLPC_MESH_HW_ADDRESS

    #define NM_DEVICE_OLPC_MESH_HW_ADDRESS     "hw-address"

### NM_DEVICE_OLPC_MESH_COMPANION

    #define NM_DEVICE_OLPC_MESH_COMPANION      "companion"

### NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL

    #define NM_DEVICE_OLPC_MESH_ACTIVE_CHANNEL "active-channel"